System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Data.InternalDataCollectionBase

The is a major component of the . While the defines the schema of the table, the contains the actual data for the table, where each in the represents a single row.

You can call the and methods to insert and delete objects from the . You can also call the method to search for objects that contain specific values in primary key columns, and the method to search character-based data for single words or phrases.

For other operations, such as sorting or filtering the , use methods on the ’s associated .

Represents a collection of rows for a .

- Method
  System.Void ``

  To create a new , you must use the method of the class. When you use the method, a new object is returned using the schema of parent . After you create the object and set the values for each of its columns, use the method to add the object to the collection.

  Generates an exception if the user generates an exception in the event. If an exception occurs, the row is not added to the table.

  Adds the specified to the object.

  The to add. 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataRow `System.ParamArray`

  If a object has its set to True, null should be passed to get the default value for that column.

  Exceptions can also occur if you generate an exception during either a or event. If an exception occurs, the row is not added to the table.

  Creates a row using specified values and adds it to the .

  None.

  The array of values that are used to create the new row. 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added

  Clears the collection of all rows.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean ``

  To use the method, the object to which the object belongs to must have at least one column designated as a primary key column. See the property for more information about how to create a primary key column.

  As soon as you have determined that a row contains the specified value, you can use the method to return the specific object that has the value.

  Gets a value that indicates whether the primary key of any row in the collection contains the specified value.

  true if the collection contains a with the specified primary key value; otherwise, false.

  The value of the primary key to test for. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean ``

  To use the method with an array of values, the object to which the object belongs must have an array of columns designated as primary keys. See the property for more information about how to create an array of primary key columns. The number of array elements must correspond to the number of primary key columns in the .

  As soon as you have determined that a row contains the specified value, use the method to return the specific object that has the value.

  Gets a value that indicates whether the primary key columns of any row in the collection contain the values specified in the object array.

  true if the contains a with the specified key values; otherwise, false.

  An array of primary key values to test for. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added.

  Copies all the objects from the collection into the given array, starting at the given destination array index.

  The zero-based index in the array at which copying begins.
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Copies all the objects from the collection into the given array, starting at the given destination array index.

  The one-dimensional array that is the destination of the elements copied from the DataRowCollection. The array must have zero-based indexing. The zero-based index in the array at which copying begins.
- Property
  1.0.5000.0
  2.0.0.0
  System.Int32 To be added. To be added.

  Gets the total number of objects in this collection.

- Method
  System.Data.DataRow ``

  To use the Find method, the object to which the object belongs must have at least one column designated as a primary key column. See the property for more information about how to create a primary key column.

  Gets the row specified by the primary key value.

  A that contains the primary key value specified; otherwise a null value if the primary key value does not exist in the .

  The primary key value of the to find. 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataRow ``

  To use the method, the object to which the object belongs must have at least one column designated as a primary key column. When two or more rows have the same primary key value, then the first row found is returned. This occurs when is set to false. See the property for more information about how to create a column, or an array of objects when the table has more than one primary key.

  Gets the row that contains the specified primary key values.

  A object that contains the primary key values specified; otherwise a null value if the primary key value does not exist in the .

  An array of primary key values to find. The type of the array is Object. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Collections.IEnumerator To be added.

  Gets an for this collection.

  An for this collection.

- Method
  2.0.0.0
  System.Int32 `` To be added.

  Gets the index of the specified object.

  The zero-based index of the row, or -1 if the row is not found in the collection.

  The DataRow to search for.
- Method
  System.Void `` ``

  The location specified by is reflected by the order of rows in the only. If more than one row is returned in a array, the inserted row may not be returned in the location specified by . For example, the property returns the row in the specified insert position. and may not. When you write the contents of the as XML, for example, , the rows are written according to the order specified by the .

  If the value specified for the parameter is greater than the number of rows in the collection, the new row is added to the end.

  Inserts a new row into the collection at the specified location.

  The to add. The (zero-based) location in the collection where you want to add the DataRow. 1.0.5000.0 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  System.Data.DataRow `` To be added. To be added. To be added. To be added.
- Property
  System.Collections.ArrayList To be added: an object of type 'Collections.ArrayList' To be added

  Returns a new System.Data.DataRowCollection.DataRowTree object.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  When a row is removed, all data in that row is lost. You can also call the method of the class to just mark a row for removal. Calling Remove is the same as calling and then calling .

  should not be called in a foreach loop while iterating through a object. modifies the state of the collection.

  You can also use the method to remove all members of the collection at one time.

  Removes the specified from the collection.

  The to remove. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  When a row is removed, all data in that row is lost. You can also call the method of the class to just mark a row for removal. Calling RemoveAt is the same as calling and then calling .

  You can use the method to remove all members of the collection at one time.

  Removes the row at the specified index from the collection.

  The index of the row to remove. 1.0.5000.0 2.0.0.0